Package com.collibra.dgc.core.api.dto.instance.asset

# Class FindRelatedAssetsRequest

Object
PagedRequest
FindRelatedAssetsRequest

All Implemented Interfaces:
  `Serializable`

public class FindRelatedAssetsRequest extends PagedRequest implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindRelatedAssetsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `FindRelatedAssetsRequest()`
  `protected`
  `FindRelatedAssetsRequest(UUID sourceAssetId, String relationTypePublicId, RelationDirection relationDirection, String acceptLag)`
  Creates a new `FindRelatedAssetsRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRelatedAssetsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAcceptLag()`
  `RelationDirection`
  `getRelationDirection()`
  The direction in which the relation is traversed.
  `String`
  `getRelationTypePublicId()`
  The public ID of the relation type to traverse (e.g.
  `UUID`
  `getSourceAssetId()`
  The ID of the asset whose relations are traversed.
  `int`
  `hashCode()`
  `void`
  `setAcceptLag(String acceptLag)`
  `void`
  `setRelationDirection(RelationDirection relationDirection)`
  The direction in which the relation is traversed.
  `void`
  `setRelationTypePublicId(String relationTypePublicId)`
  The public ID of the relation type to traverse (e.g.
  `void`
  `setSourceAssetId(UUID sourceAssetId)`
  The ID of the asset whose relations are traversed.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindRelatedAssetsRequest

    public FindRelatedAssetsRequest()

  - ### FindRelatedAssetsRequest

    protected FindRelatedAssetsRequest(UUID sourceAssetId, String relationTypePublicId, RelationDirection relationDirection, String acceptLag)
    Creates a new `FindRelatedAssetsRequest` instance.
    Parameters:
      `sourceAssetId` - The ID of the asset whose relations are traversed.
      `relationTypePublicId` - The public ID of the relation type to traverse (e.g. `"ColumnIsPartOfTable"`).
      `relationDirection` - The direction in which the relation is traversed. Use `RelationDirection.TO_TARGET` to follow relations from the source asset to their targets, or `RelationDirection.TO_SOURCE` to follow relations in the opposite direction.
      `acceptLag` -

- ## Method Details

  - ### getAcceptLag

    public String getAcceptLag()

  - ### setAcceptLag

    public void setAcceptLag(String acceptLag)

  - ### builder

    public static FindRelatedAssetsRequest.Builder builder()

  - ### getSourceAssetId

    public UUID getSourceAssetId()
    The ID of the asset whose relations are traversed.

  - ### getRelationTypePublicId

    public String getRelationTypePublicId()
    The public ID of the relation type to traverse (e.g. `"ColumnIsPartOfTable"`).

  - ### getRelationDirection

    public RelationDirection getRelationDirection()
    The direction in which the relation is traversed. Use `RelationDirection.TO_TARGET` to follow relations from the source asset to their targets, or `RelationDirection.TO_SOURCE` to follow relations in the opposite direction.

  - ### setSourceAssetId

    public void setSourceAssetId(UUID sourceAssetId)
    The ID of the asset whose relations are traversed.

  - ### setRelationTypePublicId

    public void setRelationTypePublicId(String relationTypePublicId)
    The public ID of the relation type to traverse (e.g. `"ColumnIsPartOfTable"`).

  - ### setRelationDirection

    public void setRelationDirection(RelationDirection relationDirection)
    The direction in which the relation is traversed. Use `RelationDirection.TO_TARGET` to follow relations from the source asset to their targets, or `RelationDirection.TO_SOURCE` to follow relations in the opposite direction.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`